Bug 1122690 - reporter-ureport killed by SIGSEGV
Summary: reporter-ureport killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bd567c20f942fefce2f31c93cab...
Depends On:
Blocks: 1142380
TreeView+ depends on / blocked
 
Reported: 2014-07-23 19:15 UTC by Isaac Cortés
Modified: 2016-12-01 00:47 UTC (History)
21 users (show)

Fixed In Version: libreport-2.2.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1142380 (view as bug list)
Environment:
Last Closed: 2014-08-24 02:57:18 UTC


Attachments (Terms of Use)
File: backtrace (26.74 KB, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
File: core_backtrace (1.57 KB, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
File: dso_list (5.96 KB, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
File: environ (3.69 KB, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
File: exploitable (110 bytes, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
File: maps (28.05 KB, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
File: open_fds (192 bytes, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
File: var_log_messages (191 bytes, text/plain)
2014-07-23 19:15 UTC, Isaac Cortés
no flags Details
crash dir where ureporter doesn't complete (696.40 KB, application/x-xz)
2014-08-22 12:41 UTC, David Juran
no flags Details

Description Isaac Cortés 2014-07-23 19:15:28 UTC
Version-Release number of selected component:
libreport-plugin-ureport-2.2.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        reporter-ureport
crash_function: vsnprintf
executable:     /usr/bin/reporter-ureport
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 vsnprintf at /usr/include/bits/stdio2.h:77
 #1 log_handler at logging.c:104
 #2 log_wrapper at logging.c:163
 #3 post at curl.c:310
 #4 post_string_as_form_data at ../include/libreport_curl.h:98
 #5 libreport_post_ureport at json.c:92

Comment 1 Isaac Cortés 2014-07-23 19:15:33 UTC
Created attachment 920334 [details]
File: backtrace

Comment 2 Isaac Cortés 2014-07-23 19:15:35 UTC
Created attachment 920335 [details]
File: cgroup

Comment 3 Isaac Cortés 2014-07-23 19:15:36 UTC
Created attachment 920336 [details]
File: core_backtrace

Comment 4 Isaac Cortés 2014-07-23 19:15:38 UTC
Created attachment 920337 [details]
File: dso_list

Comment 5 Isaac Cortés 2014-07-23 19:15:39 UTC
Created attachment 920338 [details]
File: environ

Comment 6 Isaac Cortés 2014-07-23 19:15:40 UTC
Created attachment 920339 [details]
File: exploitable

Comment 7 Isaac Cortés 2014-07-23 19:15:42 UTC
Created attachment 920340 [details]
File: limits

Comment 8 Isaac Cortés 2014-07-23 19:15:45 UTC
Created attachment 920341 [details]
File: maps

Comment 9 Isaac Cortés 2014-07-23 19:15:46 UTC
Created attachment 920342 [details]
File: open_fds

Comment 10 Isaac Cortés 2014-07-23 19:15:48 UTC
Created attachment 920343 [details]
File: proc_pid_status

Comment 11 Isaac Cortés 2014-07-23 19:15:51 UTC
Created attachment 920345 [details]
File: var_log_messages

Comment 12 Jakub Filak 2014-07-24 12:49:29 UTC
Hello, thank you for the report. I have submitted a patch for review:
https://github.com/abrt/libreport/pull/269

and prepared the following scratch build with the patch already applied:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7190504

Could you please install the packages, retest and report the results here:

$ cd /var/tmp/abrt/ccpp-2014-07-23-12:42:37-4199
$ reporter-ureport

Comment 13 František Dvořák 2014-08-17 09:07:46 UTC
I can confim the crash in 2.2.3-1.fc20. The koji build results are inaccessible.

Comment 14 Fedora Update System 2014-08-20 08:33:53 UTC
libreport-2.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreport-2.2.3-2.fc20

Comment 15 Fedora Update System 2014-08-21 09:47:42 UTC
Package libreport-2.2.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.2.3-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9657/libreport-2.2.3-2.fc20
then log in and leave karma (feedback).

Comment 16 Sylvain Petreolle 2014-08-21 22:28:37 UTC
Thanks, I can confirm the patch fixes the crash.

Comment 17 David Juran 2014-08-22 12:22:31 UTC
With my reproducer, libreport no longer crashes but it doesn't complete either. Running reporter-ureport -vvvv from the command line runs for a few minutes and then exits with status 1. From within abrt, I get
 --- Running report_uReport ---
 Server responded with an error: 
'uReport may only be 4194304 bytes long' reporter-ureport failed with exit code 1 ('report_uReport' exited with 1)

Comment 18 David Juran 2014-08-22 12:41:33 UTC
Created attachment 929568 [details]
crash dir where ureporter doesn't complete

Comment 19 Jakub Filak 2014-08-22 12:53:50 UTC
David, thank you for the analysis, you hit another bug in satyr. Could you please open a new bug against satyr for the new issue? And please remove the negative karma [1] from the update, it blocks the GUI enhancements.


1: https://fedoraproject.org/wiki/QA:Update_feedback_guidelines

Comment 20 Fedora Update System 2014-08-24 02:57:18 UTC
libreport-2.2.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 David Juran 2014-08-26 12:33:29 UTC
Bug 1133907 filed for this new problem. And it seems like the update got enough Karma after all (-:


Note You need to log in before you can comment on or make changes to this bug.